﻿@{
    IEnumerable<MenuModel> WizardItems = ViewBag.WizardItems;
}
<div class="wizard-steps">
    @foreach (var (index, member) in WizardItems.Select((member, i) => (i, member)))
    {
        <div class="wizard-step" data-wizard-type="step" data-action="@member.Action" data-controller="@member.Controller" data-id="@member.Id">
            <div class="wizard-wrapper">
                <div class="wizard-label p-1">
                    <h3>
                        <span class="wizard-order">@(index+1).</span>
                        <span class="wizard-title">@member.Title</span>
                    </h3>
                    <div class="wizard-desc">
                        @member.Desc
                    </div>
                </div>
            </div>
        </div>
    }
</div>
<script>
    setActiveWizard();
    $(".wizard-step").on('click', function () {
        var action = $(this).attr("data-action");
        loadPartialView(`adviser/profile/${action.replace("adviser", "").replace(/\/|-/g, '')}`, "wizard-content-div", "wizard-main-div");
        window.history.pushState("data", "title", action);
        setActiveWizard();
    });
</script>